<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b9bbbe;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom HTML Content:</div>
                    <div class="csContent">
                        You can inject your own custom HTML into WebMenu using the <b>Group.HtmlAboveItems</b> and <b>Group.HtmlBelowItems</b> properties.<br />
                        <br />
                        As the property names imply, your custom HTML can be placed above or below the Item list.
                        If your Group contains no Items, then the custom HTML will be the only thing inside the Group.<br />
                        <br />
                        Write the custom HTML as you would any content that you are placing into a DIV element:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;Some Custom HTML&quot;);</div>
                        <br />
                        In this sample, a simple header and footer is added to each popup menu using the following code:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlAboveItems(&quot;&lt;div style="background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;"&gt;&amp;lt;Caption&amp;gt;&lt;/div&gt;&quot;);</div>
                        <br />
                        <div class="csCode">$Group-&gt;setHtmlBelowItems(&quot;&lt;div style="background-color:#a0a0a0;color:#f0f0f0;font-size:11px;font-weight:bold;text-align:center;"&gt;&amp;lt;/Caption&amp;gt;&lt;/div&gt;&quot;);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomHtmlContent
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
