<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./MenuBar.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./MenuBar.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#909090;}
        .csDescription {border-width:0px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl">
                <div class="csMenuBar">
                    <div class="csButton" id="HomeButton" onmouseover="cswmShow('Home', 'HomeButton', 'below', 0, 0);" onmouseout="cswmHide();">Home</div>
                    <div class="csButton" id="ProductsButton" onmouseover="cswmShow('Products', 'ProductsButton', 'below', -1, 0);" onmouseout="cswmHide();">Products</div>
                    <div class="csButton" id="SupportButton" onmouseover="cswmShow('Support', 'SupportButton', 'below', -1, 0);" onmouseout="cswmHide();">Support</div>
                    <div class="csButton" id="BasketButton" onmouseover="cswmShow('Basket', 'BasketButton', 'below', -1, 0);" onmouseout="cswmHide();">Basket</div>
                </div>
            </div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom MenuBar:</div>
                    <div class="csContent">
                        This sample demonstrates how you can replace the built-in MenuBar in WebMenu with your own custom MenuBar.<br />
                        <br />
                        To accomplish this, you need to turn off the built-in MenuBar by setting the following property:<br />
                        <br />
                        <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::None);</div>
                        <br />
                        Next, you need to build your own MenuBar to anchor the WebMenu popup menus.
                        You can show and hide the popup menu by calling the client-side JavaScript methods <b>cswmShow</b> and <b>cswmHide</b>, respectively.
                        In this sample, this occurs during the <b>onmouseover</b> and <b>onmouseout</b> events on the buttons:<br />
                        <br />
                        <div class="csCode">onmouseover=&quot;cswmShow('Home', 'HomeButton', 'below', 0, 0);&quot;</div>
                        <div class="csCode">onmouseout=&quot;cswmHide();&quot;</div>
                        <br />
                        This sample demonstrates the optional use of the WebMenu <b>OnShow</b> and <b>OnHide</b> events, which are invoked when the root popup menus are shown or hidden.
                        These event handers are configured to call the custom client-side JavaScript method <b>SwapButton</b> which changes the image of the selected button:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;setOnShow(&quot;SwapButton(id, true)&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;setOnHide(&quot;SwapButton(id, false)&quot;);</div>
                        <br />
                        This sample also uses the <b>WebMenu.SelectedBackgroundImage</b> property to display an image when an item is highlighted.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomMenuBar
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
