<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $left = null;
    if (isset($_COOKIE["menubarLeft"]))
    {
        $left = $_COOKIE["menubarLeft"];
    }
    $top = null;
    if (isset($_COOKIE["menubarTop"]))
    {
        $top = $_COOKIE["menubarTop"];
    }
    $location = null;
    if (isset($_COOKIE["dockLocation"]))
    {
        $location = $_COOKIE["dockLocation"];
    }
    $WebMenu1 = CreateWebMenu($left, $top, $location);
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./DragDock.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csDescription">
                <div class="csTitle">Drag and Dock MenuBar:</div>
                <div class="csContent">
                    The MenuBar object provides both dragging and docking capabilities.
                    These features are enabled by setting the following properties:<br />
                    <br />
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::Horizontal);</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDragEnabled(true);</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDockEnabled(true);</div>
                    <br />
                    When either Dragging or Docking is enabled, the MenuBar is placed into an absolute positioning mode.
                    The other properties on the MenuBar object that begin with &quot;Absolute&quot; are used to control aspects of this mode:<br />
                    <br />
                    <div class="csComment">// Specifies the docking state of the MenuBar when the page loads</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDockState(Coalesys\WebMenu\AbsoluteDockStateConstants::UnDocked);</div>
                    <br />
                    <div class="csComment">// If UnDocked, specifies the coordinates of the MenuBar when the page loads</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteLeft(10);</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteTop(10);</div>
                    <br />
                    <div class="csComment">// If Docked, specifies whether the MenuBar alters the padding at the top or bottom of the page</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDockPaddingAdjust(true);</div>
                </div>
                <div class="csTitle">Persisted MenuBar State:</div>
                <div class="csContent">
                    This sample also demonstrates how you can persist the MenuBar state between page requests.
                    If you drag the MenuBar to a new position or dock it and then refresh the page, the MenuBar will remain in the same location.<br />
                    <br />
                    To allow this, WebMenu exposes three client-side JavaScript events which you can use in your own code:<br />
                    <br />
                    <div class="csComment">// Occurs when the MenuBar is dragged to a new position on the page</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setOnDragEnd(&quot;OnMenuBarDragEnd(MenuBarLeft, MenuBarTop)&quot;);</div>
                    <br />
                    <div class="csComment">// Occurs when the MenuBar is docked at the top or bottom of the page</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setOnDock(&quot;OnMenuBarDock(DockLocation)&quot;);</div>
                    <br />
                    <div class="csComment">// Occurs when the MenuBar is undocked from its previous docked location</div>
                    <div class="csCode">$WebMenu1-&gt;getMenuBar()-&gt;setOnUnDock(&quot;OnMenuBarUnDock()&quot;);</div>
                    <br />
                    This sample uses these events to set non-persistent cookies that store the MenuBar state.
                    When the web browser requests the page again, these cookies are used to set the relevant properties on the MenuBar object.
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /BasicFeatures<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/DragAndDockMenuBar
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
