<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csHeading {background-color:#ffffff;color:#222222;}
        .csBody {background-color:#1e77d3;}
        .csHControl {padding-top:2px;padding-bottom:2px;}
        .csDescription {border-width:0px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Keyboard Interface:</div>
                    <div class="csContent">
                        WebMenu supports a keyboard interface for navigating its contents.<br />
                        <br />
                        To enable keyboard access, set the <b>WebMenu.AccessorKeyCode</b> property to a positive integer.
                        The integer values are based on the unicode value of the desired key.
                        Keyboard access also requires that the <b>MenuBar.DisplayMode</b> be a value other than &quot;None&quot;.<br />
                        <br />
                        You can also set the <b>WebMenu.AccessorModifier</b> property to access the menu only when the CTRL, SHIFT, ALT or any combination of the three are also pressed along with the AccessorKeyCode.<br />
                        <br />
                        In this sample, press <b>ESC</b> to access this menu via the keyboard.
                        Use the <b>arrow keys</b> to move focus through the menu items and the <b>Enter/Return</b> key to execute a menu item.
                        To close the menu without executing an item, press the <b>ESC</b> key once more.<br />
                        <br />
                        The &quot;Site Map&quot; MenuBar Button uses the <b>Group.OnMenuBarClick</b> to execute an alert box instead of opening any submenus.<br />
                        <br />
                        This feature satisfies &sect;1194.21(a) of Section 508 of the Rehabilitation Act.<br />
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/KeyboardInterface
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
