<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu1();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);

    $WebMenu2 = CreateWebMenu2();
    $WebMenu2->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu2->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csHeading {background-color:#159b9b;}
        .csBody {background-color:#ece9d8;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
        <?php echo $WebMenu2->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <?php echo $WebMenu2->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Multiple Instances:</div>
                <div class="csContent">
                    Multiple instances of WebMenu can be created on one page by setting the <b>GeneratedPrefix</b> property on each WebMenu control to a unique value.
                    By default, the setting is &quot;cswm&quot; (abbreviation for <b>C</b>oalesy<b>s</b> <b>W</b>eb<b>M</b>enu).<br />
                    <br />
                    In this sample, the following values are used:<br />
                    <br />
                    <div class="csCode">$WebMenu1->setGeneratedPrefix(&quot;cswm1&quot;);</div>
                    <div class="csCode">$WebMenu2->setGeneratedPrefix(&quot;cswm2&quot;);</div>
                    <br />
                    The value you set will be prefixed throughout the generated code and is used to avoid naming collisions between the HTML elements and the JavaScript code.
                    This will also change any documented client-side functions or variables which begin with &quot;cswm&quot;, like &quot;cswmShow&quot;.
                    Use the value that you have set for GeneratedPrefix in place of &quot;cswm&quot;.<br />
                    <br />
                    A shorter value for GeneratedPrefix also results in smaller output, and this can be used as a technique to compact the code further.
                    Beware of possible naming collisions with other code on the page if you choose a very short value.
                </div>
                <div class="csTitle">Cooperative Docking:</div>
                <div class="csContent">
                    This sample also demonstrates the ability of multiple instances of WebMenu to cooperate for the shared docking space at the top or bottom of the page.
                    This can be demonstrated by stacking both instances on this page to the same docking space.
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /BasicFeatures<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/MultipleInstances
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
