<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b6bdd2;}
        .csVControl {background-color:#f1f1f1;border-bottom:1px solid #aaaaaa;padding-bottom:4px;width:155px;}
        .csVDocument {margin-left:165px;}
        .csDescription {border-top-width:0px;}
        .csSeparator {height:4px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csSeparator"></div>
                <input type="text" value="Search" size="12" />
                <div class="csSeparator"></div>
                <?php echo $WebMenu1->GenerateWebMenu(0) ?>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Scrolling Groups:</div>
                    <div class="csContent">
                        WebMenu is capable of providing a scrolling feature for Groups that will not fit in the available window space.<br />
                        <br />
                        To use this feature, you can set the following property:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;setScrollEnabled(true);</div>
                        <br />
                        When enabled, WebMenu automatically determines if scrolling is necessary and dynamically enables it in the client script on a Group-by-Group basis.
                        If this feature is not desired or is unnecessary, simply leave the <b>ScrollEnabled</b> property to its default value and WebMenu will not enable this ability.
                    </div>
                    <div class="csTitle">Scroll Button Images:</div>
                    <div class="csContent">
                        There are four optional image properties that you can use to customize the appearance of the arrow graphics present in the scroll up and scroll down buttons:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;setScrollDownActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;setScrollDownEnabledImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;setScrollUpActiveImage(&quot;[your custom image]&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;setScrollUpEnabledImage(&quot;[your custom image]&quot;);</div>
                    </div>
                    <div class="csTitle">Scroll Button Color:</div>
                    <div class="csContent">
                        The color of the scroll buttons is determined by the following two properties:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;setBackgroundColor(&quot;#F1F1F1&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;setSelectedColor(&quot;#CCCCCC&quot;);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ScrollingGroups
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
