<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $selectedId = "About";
    if (isset($_COOKIE["selectedId"]))
    {
        $selectedId = urldecode($_COOKIE["selectedId"]);
    }
    $WebMenu1 = CreateWebMenu($selectedId);
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./TabStrip.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b6bdd2;}
        .csKeyword {color:#0000ff;}
        .csString {color:#a31515;}
        .cswmButtonBorder {border-radius:5px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">TabStrip Mode:</div>

                    <!-- About -->
                    <div id="paneAbout">
                        <div class="csContent">The build-in MenuBar in WebMenu can be customized to make it look and act like a TabStrip control.</div>
                        <div class="csTitle">Appearance:</div>
                        <div class="csContent">
                            The TabStrip appearance can be achieved for the MenuBar items by setting the following property on the MenuBar object:<br />
                            <br />
                            <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setDisplayStyle(Coalesys\WebMenu\DisplayStyleConstants::TabStrip);</div>
                            <br />
                            Changing the <b>DisplayStyle</b> property makes the MenuBar work like a TabStrip control.
                        </div>
                        <div class="csTitle">Behavior:</div>
                        <div class="csContent">
                            The TabStrip behavior can be achieved for a MenuBar item by setting the following property on the associated Group object:<br />
                            <br />
                            <div class="csCode">$Group-&gt;setOnMenuBarClick("ShowTopic('JScript')");</div>
                            <br />
                            Setting the <b>OnMenuBarClick</b> property specifies the client-side action that occurs when the user clicks on a particular tab.<br />
                            <br />
                            The selected tab in the MenuBar can be specified by setting the following new property on the WebMenu object:<br />
                            <br />
                            <div class="csCode">$WebMenu-&gt;setGroupSelected("About");</div>
                            <br />
                            In this sample, the selected tab is persisted between page loads by storing its current value inside a web browser cookie.
                        </div>
                        <div class="csTitle">Control being used:</div>
                        <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                        <div class="csTitle">View the code:</div>
                        <div class="csIndent">
                            The code is available in the samples directory under:
                            <div class="csDirectory">
                                /BasicFeatures<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;/TabStripMode
                            </div>
                        </div>
                    </div>

                    <!-- JScript -->
                    <div id="paneJScript">
                        <div class="csContent">The following server-side <b>JScript</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for ASP</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
<span class="csKeyword">var</span> WebMenu1 = Server.CreateObject(<span class="csString">"Coalesys.CSWebMenu.7"</span>);
WebMenu1.BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.DisabledTextColor = <span class="csString">"#aca899"</span>;
WebMenu1.GroupSelected = <span class="csString">"About"</span>;
WebMenu1.InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MouseCursor = <span class="csString">"pointer"</span>;
WebMenu1.OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1.OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1.SelectedColor = <span class="csString">"#93a070"</span>;

<span class="csKeyword">var</span> cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"About"</span>;
cswmGroup1.ID = <span class="csString">"About"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'About\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"JScript"</span>;
cswmGroup1.ID = <span class="csString">"JScript"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'JScript\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"VBScript"</span>;
cswmGroup1.ID = <span class="csString">"VBScript"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'VBScript\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"C#"</span>;
cswmGroup1.ID = <span class="csString">"CSharp"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'CSharp\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"VB.NET"</span>;
cswmGroup1.ID = <span class="csString">"VBNET"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'VBNET\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"C++/CLI"</span>;
cswmGroup1.ID = <span class="csString">"CPPCLI"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'CPPCLI\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"Java"</span>;
cswmGroup1.ID = <span class="csString">"Java"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'Java\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"PHP"</span>;
cswmGroup1.ID = <span class="csString">"PHP"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'PHP\')"</span>;

WebMenu1.MenuBar.AbsoluteDockEnabled = <span class="csKeyword">false</span>;
WebMenu1.MenuBar.AbsoluteDragEnabled = <span class="csKeyword">false</span>;
WebMenu1.MenuBar.BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.MenuBar.DisplayStyle = 1;
WebMenu1.MenuBar.HoverColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.MenuBar.HoverShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MenuBar.InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MenuBar.OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1.MenuBar.OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1.MenuBar.SelectedColor = <span class="csString">"#ebcfda"</span>;
WebMenu1.MenuBar.SelectedHighlightColor = <span class="csString">"#aca899"</span>;
WebMenu1.ButtonFont.TextDecoration = <span class="csString">"underline"</span>;
</pre>
                        </div>
                    </div>

                    <!-- VBScript -->
                    <div id="paneVBScript">
                        <div class="csContent">The following server-side <b>VBScript</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for ASP</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
<span class="csKeyword">Dim</span> WebMenu1
<span class="csKeyword">Set</span> WebMenu1 = Server.CreateObject(<span class="csString">"Coalesys.CSWebMenu.7"</span>)
WebMenu1.BackgroundColor = <span class="csString">"#ece9d8"</span>
WebMenu1.DisabledTextColor = <span class="csString">"#aca899"</span>
WebMenu1.GroupSelected = <span class="csString">"About"</span>
WebMenu1.InnerShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MouseCursor = <span class="csString">"pointer"</span>
WebMenu1.OuterHighlightColor = <span class="csString">"#f1efe2"</span>
WebMenu1.OuterShadowColor = <span class="csString">"#716f64"</span>
WebMenu1.SelectedColor = <span class="csString">"#93a070"</span>

<span class="csKeyword">Dim</span> cswmGroup1
<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"About"</span>
cswmGroup1.ID = <span class="csString">"About"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('About')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"JScript"</span>
cswmGroup1.ID = <span class="csString">"JScript"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('JScript')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"VBScript"</span>
cswmGroup1.ID = <span class="csString">"VBScript"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('VBScript')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"C#"</span>
cswmGroup1.ID = <span class="csString">"CSharp"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('CSharp')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"VB.NET"</span>
cswmGroup1.ID = <span class="csString">"VBNET"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('VBNET')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"C++/CLI"</span>
cswmGroup1.ID = <span class="csString">"CPPCLI"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('CPPCLI')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"Java"</span>
cswmGroup1.ID = <span class="csString">"Java"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('Java')"</span>

<span class="csKeyword">Set</span> cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"PHP"</span>
cswmGroup1.ID = <span class="csString">"PHP"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('PHP')"</span>

WebMenu1.MenuBar.AbsoluteDockEnabled = <span class="csKeyword">False</span>
WebMenu1.MenuBar.AbsoluteDragEnabled = <span class="csKeyword">False</span>
WebMenu1.MenuBar.BackgroundColor = <span class="csString">"#ece9d8"</span>
WebMenu1.MenuBar.DisplayStyle = 1
WebMenu1.MenuBar.HoverColor = <span class="csString">"#ece9d8"</span>
WebMenu1.MenuBar.HoverShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MenuBar.InnerShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MenuBar.OuterHighlightColor = <span class="csString">"#f1efe2"</span>
WebMenu1.MenuBar.OuterShadowColor = <span class="csString">"#716f64"</span>
WebMenu1.MenuBar.SelectedColor = <span class="csString">"#ebcfda"</span>
WebMenu1.MenuBar.SelectedHighlightColor = <span class="csString">"#aca899"</span>
WebMenu1.ButtonFont.TextDecoration = <span class="csString">"underline"</span>
</pre>
                        </div>
                    </div>

                    <!-- C# -->
                    <div id="paneCSharp">
                        <div class="csContent">The following server-side <b>C#</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for ASP.NET</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
Coalesys.WebMenu.WebMenu WebMenu1 = <span class="csKeyword">new</span> Coalesys.WebMenu.WebMenu();
WebMenu1.BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.DisabledTextColor = <span class="csString">"#aca899"</span>;
WebMenu1.GroupSelected = <span class="csString">"About"</span>;
WebMenu1.InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MouseCursor = <span class="csString">"pointer"</span>;
WebMenu1.OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1.OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1.SelectedColor = <span class="csString">"#93a070"</span>;

Coalesys.WebMenu.Group cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"About"</span>;
cswmGroup1.ID = <span class="csString">"About"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'About\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"JScript"</span>;
cswmGroup1.ID = <span class="csString">"JScript"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'JScript\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"VBScript"</span>;
cswmGroup1.ID = <span class="csString">"VBScript"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'VBScript\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"C#"</span>;
cswmGroup1.ID = <span class="csString">"CSharp"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'CSharp\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"VB.NET"</span>;
cswmGroup1.ID = <span class="csString">"VBNET"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'VBNET\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"C++/CLI"</span>;
cswmGroup1.ID = <span class="csString">"CPPCLI"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'CPPCLI\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"Java"</span>;
cswmGroup1.ID = <span class="csString">"Java"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'Java\')"</span>;

cswmGroup1 = WebMenu1.Groups.Add();
cswmGroup1.Caption = <span class="csString">"PHP"</span>;
cswmGroup1.ID = <span class="csString">"PHP"</span>;
cswmGroup1.IconHeight = 11;
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1.IconWidth = 9;
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic(\'PHP\')"</span>;

WebMenu1.MenuBar.AbsoluteDockEnabled = <span class="csKeyword">false</span>;
WebMenu1.MenuBar.AbsoluteDragEnabled = <span class="csKeyword">false</span>;
WebMenu1.MenuBar.BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.MenuBar.DisplayStyle = Coalesys.WebMenu.DisplayStyleConstants.TabStrip;
WebMenu1.MenuBar.HoverColor = <span class="csString">"#ece9d8"</span>;
WebMenu1.MenuBar.HoverShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MenuBar.InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1.MenuBar.OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1.MenuBar.OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1.MenuBar.SelectedColor = <span class="csString">"#ebcfda"</span>;
WebMenu1.MenuBar.SelectedHighlightColor = <span class="csString">"#aca899"</span>;
WebMenu1.ButtonFont.TextDecoration = <span class="csString">"underline"</span>;
</pre>
                        </div>
                    </div>

                    <!-- VB.NET -->
                    <div id="paneVBNET">
                        <div class="csContent">The following server-side <b>VB.NET</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for ASP.NET</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
<span class="csKeyword">Dim</span> WebMenu1 <span class="csKeyword">As New</span> Coalesys.WebMenu.WebMenu()
WebMenu1.BackgroundColor = <span class="csString">"#ece9d8"</span>
WebMenu1.DisabledTextColor = <span class="csString">"#aca899"</span>
WebMenu1.GroupSelected = <span class="csString">"About"</span>
WebMenu1.InnerShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MouseCursor = <span class="csString">"pointer"</span>
WebMenu1.OuterHighlightColor = <span class="csString">"#f1efe2"</span>
WebMenu1.OuterShadowColor = <span class="csString">"#716f64"</span>
WebMenu1.SelectedColor = <span class="csString">"#93a070"</span>

<span class="csKeyword">Dim</span> cswmGroup1 <span class="csKeyword">As</span> Coalesys.WebMenu.Group
cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"About"</span>
cswmGroup1.ID = <span class="csString">"About"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('About')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"JScript"</span>
cswmGroup1.ID = <span class="csString">"JScript"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('JScript')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"VBScript"</span>
cswmGroup1.ID = <span class="csString">"VBScript"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('VBScript')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"C#"</span>
cswmGroup1.ID = <span class="csString">"CSharp"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('CSharp')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"VB.NET"</span>
cswmGroup1.ID = <span class="csString">"VBNET"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('VBNET')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"C++/CLI"</span>
cswmGroup1.ID = <span class="csString">"CPPCLI"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('CPPCLI')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"Java"</span>
cswmGroup1.ID = <span class="csString">"Java"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('Java')"</span>

cswmGroup1 = WebMenu1.Groups.Add()
cswmGroup1.Caption = <span class="csString">"PHP"</span>
cswmGroup1.ID = <span class="csString">"PHP"</span>
cswmGroup1.IconHeight = 11
cswmGroup1.IconImage = <span class="csString">"./images/bullet.gif"</span>
cswmGroup1.IconWidth = 9
cswmGroup1.OnMenuBarClick = <span class="csString">"ShowTopic('PHP')"</span>

WebMenu1.MenuBar.AbsoluteDockEnabled = <span class="csKeyword">False</span>
WebMenu1.MenuBar.AbsoluteDragEnabled = <span class="csKeyword">False</span>
WebMenu1.MenuBar.BackgroundColor = <span class="csString">"#ece9d8"</span>
WebMenu1.MenuBar.DisplayStyle = Coalesys.WebMenu.DisplayStyleConstants.TabStrip
WebMenu1.MenuBar.HoverColor = <span class="csString">"#ece9d8"</span>
WebMenu1.MenuBar.HoverShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MenuBar.InnerShadowColor = <span class="csString">"#aca899"</span>
WebMenu1.MenuBar.OuterHighlightColor = <span class="csString">"#f1efe2"</span>
WebMenu1.MenuBar.OuterShadowColor = <span class="csString">"#716f64"</span>
WebMenu1.MenuBar.SelectedColor = <span class="csString">"#ebcfda"</span>
WebMenu1.MenuBar.SelectedHighlightColor = <span class="csString">"#aca899"</span>
WebMenu1.ButtonFont.TextDecoration = <span class="csString">"underline"</span>
</pre>
                        </div>
                    </div>

                    <!-- C++/CLI -->
                    <div id="paneCPPCLI">
                        <div class="csContent">The following server-side <b>C++/CLI</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for ASP.NET</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
Coalesys::WebMenu::WebMenu^ WebMenu1 = <span class="csKeyword">gcnew</span> Coalesys::WebMenu::WebMenu();
WebMenu1-&gt;BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1-&gt;DisabledTextColor = <span class="csString">"#aca899"</span>;
WebMenu1-&gt;GroupSelected = <span class="csString">"About"</span>;
WebMenu1-&gt;InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1-&gt;MouseCursor = <span class="csString">"pointer"</span>;
WebMenu1-&gt;OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1-&gt;OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1-&gt;SelectedColor = <span class="csString">"#93a070"</span>;

Coalesys::WebMenu::Group^ cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"About"</span>;
cswmGroup1-&gt;ID = <span class="csString">"About"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'About\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"JScript"</span>;
cswmGroup1-&gt;ID = <span class="csString">"JScript"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'JScript\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"VBScript"</span>;
cswmGroup1-&gt;ID = <span class="csString">"VBScript"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'VBScript\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"C#"</span>;
cswmGroup1-&gt;ID = <span class="csString">"CSharp"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'CSharp\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"VB.NET"</span>;
cswmGroup1-&gt;ID = <span class="csString">"VBNET"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'VBNET\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"C++/CLI"</span>;
cswmGroup1-&gt;ID = <span class="csString">"CPPCLI"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'CPPCLI\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"Java"</span>;
cswmGroup1-&gt;ID = <span class="csString">"Java"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'Java\')"</span>;

cswmGroup1 = WebMenu1-&gt;Groups-&gt;Add();
cswmGroup1-&gt;Caption = <span class="csString">"PHP"</span>;
cswmGroup1-&gt;ID = <span class="csString">"PHP"</span>;
cswmGroup1-&gt;IconHeight = 11;
cswmGroup1-&gt;IconImage = <span class="csString">"./images/bullet.gif"</span>;
cswmGroup1-&gt;IconWidth = 9;
cswmGroup1-&gt;OnMenuBarClick = <span class="csString">"ShowTopic(\'PHP\')"</span>;

WebMenu1-&gt;MenuBar-&gt;AbsoluteDockEnabled = <span class="csKeyword">false</span>;
WebMenu1-&gt;MenuBar-&gt;AbsoluteDragEnabled = <span class="csKeyword">false</span>;
WebMenu1-&gt;MenuBar-&gt;BackgroundColor = <span class="csString">"#ece9d8"</span>;
WebMenu1-&gt;MenuBar-&gt;DisplayStyle = Coalesys::WebMenu::DisplayStyleConstants::TabStrip;
WebMenu1-&gt;MenuBar-&gt;HoverColor = <span class="csString">"#ece9d8"</span>;
WebMenu1-&gt;MenuBar-&gt;HoverShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1-&gt;MenuBar-&gt;InnerShadowColor = <span class="csString">"#aca899"</span>;
WebMenu1-&gt;MenuBar-&gt;OuterHighlightColor = <span class="csString">"#f1efe2"</span>;
WebMenu1-&gt;MenuBar-&gt;OuterShadowColor = <span class="csString">"#716f64"</span>;
WebMenu1-&gt;MenuBar-&gt;SelectedColor = <span class="csString">"#ebcfda"</span>;
WebMenu1-&gt;MenuBar-&gt;SelectedHighlightColor = <span class="csString">"#aca899"</span>;
WebMenu1-&gt;ButtonFont-&gt;TextDecoration = <span class="csString">"underline"</span>;
</pre>
                        </div>
                    </div>

                    <!-- Java -->
                    <div id="paneJava">
                        <div class="csContent">The following server-side <b>Java</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for JSP</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
Coalesys.WebMenu.WebMenu WebMenu1 = <span class="csKeyword">new</span> Coalesys.WebMenu.WebMenu();
WebMenu1.setBackgroundColor(<span class="csString">"#ece9d8"</span>);
WebMenu1.setDisabledTextColor(<span class="csString">"#aca899"</span>);
WebMenu1.setGroupSelected(<span class="csString">"About"</span>);
WebMenu1.setInnerShadowColor(<span class="csString">"#aca899"</span>);
WebMenu1.setMouseCursor(<span class="csString">"pointer"</span>);
WebMenu1.setOuterHighlightColor(<span class="csString">"#f1efe2"</span>);
WebMenu1.setOuterShadowColor(<span class="csString">"#716f64"</span>);
WebMenu1.setSelectedColor(<span class="csString">"#93a070"</span>);

Coalesys.WebMenu.Group cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"About"</span>);
cswmGroup1.setID(<span class="csString">"About"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'About\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"JScript"</span>);
cswmGroup1.setID(<span class="csString">"JScript"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'JScript\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"VBScript"</span>);
cswmGroup1.setID(<span class="csString">"VBScript"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'VBScript\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"C#"</span>);
cswmGroup1.setID(<span class="csString">"CSharp"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'CSharp\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"VB.NET"</span>);
cswmGroup1.setID(<span class="csString">"VBNET"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'VBNET\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"C++/CLI"</span>);
cswmGroup1.setID(<span class="csString">"CPPCLI"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'CPPCLI\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"Java"</span>);
cswmGroup1.setID(<span class="csString">"Java"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'Java\')"</span>);

cswmGroup1 = WebMenu1.getGroups().Add();
cswmGroup1.setCaption(<span class="csString">"PHP"</span>);
cswmGroup1.setID(<span class="csString">"PHP"</span>);
cswmGroup1.setIconHeight(11);
cswmGroup1.setIconImage(<span class="csString">"./images/bullet.gif"</span>);
cswmGroup1.setIconWidth(9);
cswmGroup1.setOnMenuBarClick(<span class="csString">"ShowTopic(\'PHP\')"</span>);

WebMenu1.getMenuBar().setAbsoluteDockEnabled(<span class="csKeyword">false</span>);
WebMenu1.getMenuBar().setAbsoluteDragEnabled(<span class="csKeyword">false</span>);
WebMenu1.getMenuBar().setBackgroundColor(<span class="csString">"#ece9d8"</span>);
WebMenu1.getMenuBar().setDisplayStyle(Coalesys.WebMenu.DisplayStyleConstants.TabStrip);
WebMenu1.getMenuBar().setHoverColor(<span class="csString">"#ece9d8"</span>);
WebMenu1.getMenuBar().setHoverShadowColor(<span class="csString">"#aca899"</span>);
WebMenu1.getMenuBar().setInnerShadowColor(<span class="csString">"#aca899"</span>);
WebMenu1.getMenuBar().setOuterHighlightColor(<span class="csString">"#f1efe2"</span>);
WebMenu1.getMenuBar().setOuterShadowColor(<span class="csString">"#716f64"</span>);
WebMenu1.getMenuBar().setSelectedColor(<span class="csString">"#ebcfda"</span>);
WebMenu1.getMenuBar().setSelectedHighlightColor(<span class="csString">"#aca899"</span>);
WebMenu1.getButtonFont().setTextDecoration(<span class="csString">"underline"</span>);
</pre>
                        </div>
                    </div>

                    <!-- PHP -->
                    <div id="panePHP">
                        <div class="csContent">The following server-side <b>PHP</b> code demonstrates how the TabStrip could be configured using <b>WebMenu for PHP</b>:</div>
                        <div class="csTitle">Source Code:</div>
                        <div class="csContent">
                            The following source code was created using <b>WebMenu Studio</b>:
<pre>
$WebMenu1 = <span class="keyword">new</span> Coalesys\WebMenu\WebMenu();
$WebMenu1-&gt;setBackgroundColor(<span class="string">"#ece9d8"</span>);
$WebMenu1-&gt;setDisabledTextColor(<span class="string">"#aca899"</span>);
$WebMenu1-&gt;setGroupSelected(<span class="string">"About"</span>);
$WebMenu1-&gt;setInnerShadowColor(<span class="string">"#aca899"</span>);
$WebMenu1-&gt;setMouseCursor(<span class="string">"pointer"</span>);
$WebMenu1-&gt;setOuterHighlightColor(<span class="string">"#f1efe2"</span>);
$WebMenu1-&gt;setOuterShadowColor(<span class="string">"#716f64"</span>);
$WebMenu1-&gt;setSelectedColor(<span class="string">"#93a070"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"About"</span>);
$cswmGroup1-&gt;setID(<span class="string">"About"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('About')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"JScript"</span>);
$cswmGroup1-&gt;setID(<span class="string">"JScript"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('JScript')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"VBScript"</span>);
$cswmGroup1-&gt;setID(<span class="string">"VBScript"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('VBScript')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"C#"</span>);
$cswmGroup1-&gt;setID(<span class="string">"CSharp"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('CSharp')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"VB.NET"</span>);
$cswmGroup1-&gt;setID(<span class="string">"VBNET"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('VBNET')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"C++/CLI"</span>);
$cswmGroup1-&gt;setID(<span class="string">"CPPCLI"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('CPPCLI')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"Java"</span>);
$cswmGroup1-&gt;setID(<span class="string">"Java"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('Java')"</span>);

$cswmGroup1 = $WebMenu1-&gt;getGroups()-&gt;Add();
$cswmGroup1-&gt;setCaption(<span class="string">"PHP"</span>);
$cswmGroup1-&gt;setID(<span class="string">"PHP"</span>);
$cswmGroup1-&gt;setIconHeight(11);
$cswmGroup1-&gt;setIconImage(<span class="string">"./images/bullet.gif"</span>);
$cswmGroup1-&gt;setIconWidth(9);
$cswmGroup1-&gt;setOnMenuBarClick(<span class="string">"ShowTopic('PHP')"</span>);

$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDockEnabled(<span class="keyword">false</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setAbsoluteDragEnabled(<span class="keyword">false</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setBackgroundColor(<span class="string">"#ece9d8"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setDisplayStyle(Coalesys\WebMenu\DisplayStyleConstants::TabStrip);
$WebMenu1-&gt;getMenuBar()-&gt;setHoverColor(<span class="string">"#ece9d8"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setHoverShadowColor(<span class="string">"#aca899"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setInnerShadowColor(<span class="string">"#aca899"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setOuterHighlightColor(<span class="string">"#f1efe2"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setOuterShadowColor(<span class="string">"#716f64"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setSelectedColor(<span class="string">"#ebcfda"</span>);
$WebMenu1-&gt;getMenuBar()-&gt;setSelectedHighlightColor(<span class="string">"#aca899"</span>);
$WebMenu1-&gt;getButtonFont()-&gt;setTextDecoration(<span class="string">"underline"</span>);
</pre>
</body>
</html>
</pre>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</body>
</html>
