<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b6bdd2;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">ToolBar Mode:</div>
                    <div class="csContent">The build-in MenuBar in WebMenu can be customized to make it look and act like a ToolBar control.</div>
                    <div class="csTitle">Appearance:</div>
                    <div class="csContent">
                        The ToolBar appearance can be achieved for a MenuBar item by setting the following properties on the associated Group object:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setCaption(&quot;[Group Name]&quot;);</div>
                        <div class="csCode">$Group-&gt;setIconWidth(16);</div>
                        <div class="csCode">$Group-&gt;setIconHeight(16);</div>
                        <div class="csCode">$Group-&gt;setIconImage(&quot;icon.gif&quot;);</div>
                        <div class="csCode">$Group-&gt;setIconToolTip(&quot;ToolTip Text&quot;);</div>
                        <br />
                        Placing brackets around the <b>Caption</b> property allows a placeholder name to be attached to the Group object, which is not displayed when the control is rendered inside the web browser.
                        The <b>IconWidth</b>, <b>IconHeight</b>, <b>IconImage</b> and <b>IconToolTip</b> properties allow the configuration of the MenuBar item's appearance and optional popup tooltip.
                    </div>
                    <div class="csTitle">Behavior:</div>
                    <div class="csContent">
                        The ToolBar behavior can be achieved for a MenuBar item by setting the following properties on the associated Group object:<br />
                        <br />
                        <div class="csCode">$Group-&gt;setClickOnMouseDown(false);</div>
                        <div class="csCode">$Group-&gt;setOnMenuBarClick(&quot;alert('Hello, World!')&quot;);</div>
                        <br />
                        Setting the <b>ClickOnMouseDown</b> property to false allows the MenuBar item to be selected through a standard mouse-click (as opposed to a mouse-down operation).
                        The <b>OnMenuBarClick</b> property allows a client-side action to be executed when the MenuBar item is chosen.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ToolBarMode
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
