<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b6bdd2;}
        .csDescription {border-top-width:0px;}
        .csSeparator {height:10px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csSeparator"></div>
                <input type="text" value="Search" size="12" />
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Horizontal MenuBar:</div>
                    <div class="csContent">
                        The MenuBar object is capable of rendering a horizontal menu by setting the following property:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setDisplayMode(Coalesys\WebMenu\DisplayModeConstants::Horizontal);</div>
                        <br />
                        This also happens to be the default value for this property.
                    </div>
                    <div class="csTitle">MenuBar Borders:</div>
                    <div class="csContent">
                        In relative MenuBar position mode, you can adjust the border size of the MenuBar so that it displays both the <i>Outer</i> and <i>Inner</i> border, the <i>Outer</i> border only, or no border at all:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;getMenuBar()-&gt;setBorderSize(2);</div>
                    </div>
                    <div class="csTitle">MenuBar Width:</div>
                    <div class="csContent">
                        In relative MenuBar position mode, the width of the MenuBar is automatically set to 100%.
                        As with other HTML elements, this means it will stretch to fit its parent container.
                        This allows you to control the width of the MenuBar simply by adjusting the parent container.
                        It also means that the width of the MenuBar can adjust itself dynamically.
                    </div>
                    <div class="csTitle">MenuBar Height:</div>
                    <div class="csContent">
                        The height of the MenuBar is controlled indirectly.
                        It is a factor the <b>ButtonFont</b> characteristics, the padding around the font and the MenuBar border size:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;getButtonFont()-&gt;setSize(&quot;11px&quot;);</div>
                        <div class="csCode">$WebMenu-&gt;getButtonFont()-&gt;setPaddingBottom(4);</div>
                        <div class="csCode">$WebMenu-&gt;getButtonFont()-&gt;setPaddingTop(4);</div>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Orientations<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/HorizontalMenuBar
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
