<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b6bdd2;}
        .csHControl {padding-left:200px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Horizontal Popup:</div>
                    <div class="csContent">The popup menus in WebMenu can be displayed in a horizontal (left-to-right) fashion.</div>
                    <div class="csTitle">Appearance:</div>
                    <div class="csContent">
                        The horizontal appearance of the popup menus can be achieved by setting the following property on the WebMenu object:<br />
                        <br />
                        <div class="csCode">$WebMenu-&gt;setPopupMode(Coalesys\WebMenu\PopupModeConstants::Horizontal);</div>
                    </div>
                    <div class="csTitle">Behavior:</div>
                    <div class="csContent">
                        When setting the above property, the main and all children popup menus are displayed in a horizontal mode.
                        The default is to display the popup menu vertically.<br />
                        <br />
                        This sample uses the built-in MenuBar, however, the client-side <b>cswmShow/cswmHide</b> functions can also be used to control the exact placement of the popup menus on your page.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Orientations<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/HorizontalPopup
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
