<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./Positioning.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#eeeecc;}
        .csDemo {display:inline-block;padding-left:20px;text-align:center;}
        .csButton {border:1px solid black;cursor:pointer;display:inline-block;;font-size:14px}
        .csAnchor {border-color:#ffffff #808080 #808080 #ffffff;border-width:1px;border-style:solid;padding:3px;background-color:#d4d0c8;}
        .csSeparator {height:15px;}
        .csTable td {background-color:#f8f8f8;border:1px solid #909090;padding:3px;width:250px;}
        .csLabel {text-align:right;}
        .csValue {text-align:left;}
        .csText {text-align:right;width:45px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody" onload="ResetValues()">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Positioning Options:</div>
                <div class="csContent">
                    This page demonstrates the different positioning options available when calling the client-side <b>cswmShow</b> function.<br />
                    <br />
                    Position the mouse over the button below to show the menu.
                    Set the options to change the <b>cswmShow</b> parameters.<br />
                    <br />
                    <div class="csDemo">
                        <div class="csSeparator"></div>
                        <div class="csButton" id="csButton" onmouseover="ShowMenu()" onmouseout="cswmHide();">
                            <div class="csAnchor">Anchor</div>
                        </div>
                        <div class="csSeparator"></div>
                        <div class="csSeparator"></div>
                        <table class="csTable">
                            <tr>
                                <td class="csValue" colspan="2" id="csCurrent"></td>
                            </tr>
                            <tr>
                                <td class="csLabel">Flyout Direction:</td>
                                <td class="csValue">
                                    <select id="csDirection" onchange="UpdateDisplay()">
                                        <option value="above">Above</option>
                                        <option value="right">Right</option>
                                        <option value="below">Below</option>
                                        <option value="left">Left</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="csLabel">Left Offset:</td>
                                <td class="csValue">
                                    <input class="csText" id="csLeft" onkeyup="UpdateDisplay()" type="text" /> px
                                </td>
                            </tr>
                            <tr>
                                <td class="csLabel">Top Offset:</td>
                                <td class="csValue">
                                    <input class="csText" id="csTop" onkeyup="UpdateDisplay()" type="text" /> px
                                </td>
                            </tr>
                            <tr>
                                <td class="csLabel">Position Type:</td>
                                <td class="csValue">
                                    <select id="csPosition" onchange="UpdateDisplay()">
                                        <option value="relative">Relative</option>
                                        <option value="absolute">Absolute</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"><input type="button" onclick="ResetValues()" value="Reset" /></td>
                            </tr>
                        </table>
                        <div class="csSeparator"></div>
                    </div>
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /Orientations<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/PositioningOptions
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
