<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./ContextMenu.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csSpace {height:800px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody" oncontextmenu="return ShowContextMenu(event)" onclick="cswmHideNow()">
    <?php echo $WebMenu1->GenerateWebMenu(0) ?>
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csContent">
            <div class="csDescription">
                <div class="csTitle">Context Menu:</div>
                <div class="csContent">
                    This sample demonstrates how you can create your own client-side logic for calling <b>cswmShow()</b>.
                    In this case, the code enables a right-click &quot;Context Menu&quot; available in most web browsers.<br />
                    <br />
                    By setting up the page to capture the right-click event, a custom client-side function <b>ShowContextMenu()</b> is called.<br />
                    <br />
                    Inside <b>ShowContextMenu()</b> a call is made to <b>cswmShow()</b>, passing in the following:<br />
                    <ul>
                        <li>The popup menu Group <b>ID</b> that is to be shown (in this case, &quot;File&quot;).</li>
                        <li>The direction the popup menu will try to appear from the determinded coordinates (in this case, &quot;above&quot;).</li>
                        <li>The x- and y-coordinates of the mouse pointer discovered by examining the web browser's event object.</li>
                        <li>The flag which instructs <b>cswmShow()</b> to use absolute positioning instead of relative.</li>
                    </ul>
                </div>
                <div class="csTitle">Control being used:</div>
                <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                <div class="csTitle">View the code:</div>
                <div class="csIndent">
                    The code is available in the samples directory under:
                    <div class="csDirectory">
                        /SampleUsages<br />
                        &nbsp;&nbsp;&nbsp;&nbsp;/ContextMenu
                    </div>
                </div>
            </div>
        </div>
        <div class="csSpace"></div>
    </div>
</body>
</html>
