<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#b9bbbe;}
        .csHControl {padding-left:12px;}
        .csSiteMapBorder {border:1px solid #848484;padding:3px;width:500px;}
        .csSiteMapLinks {font-family:verdana,arial,helvetica,sans-serif;font-size:11px;}
        .csSiteMapLinks a:link {color:#2e3b94;text-decoration:none;}
        .csSiteMapLinks a:visited {color:#2e3b94;text-decoration:none;}
        .csSiteMapLinks a:hover {color:#2e3b94;text-decoration:underline;}
        .csSiteMapGroup {background-color:#b9bbbe;border:1px solid #848484;padding:1px;text-align:center;}
        .csSiteMapItem {font-size:0px;}
        .csSiteMapItemSpacer {display:inline-block;height:20px;width:20px;}
        .csSiteMapItemImage {background-image:url('./images/item.gif');display:inline-block;height:20px;width:20px}
        .csSiteMapLineImage {background-image:url('./images/line.gif');display:inline-block;height:20px;width:20px;}
        .csSiteMapLastImage {background-image:url('./images/last.gif');display:inline-block;height:20px;width:20px;}
        .csSiteMapItemText {display:inline-block;font-size:11px;padding:3px;vertical-align:top;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
    <script type="text/javascript">
        <?php echo $WebMenu1->GenerateJavaScript(0) ?>
    </script>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl"><?php echo $WebMenu1->GenerateWebMenu(0) ?></div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom SiteMap:</div>
                    <div class="csContent">
                        Below is a site map that is dynamically created from the WebMenu instance on the page.
                        This is useful for creating a site map for your web site, which will automatically update whenever there are changes to your menu.<br />
                        <br />
                        All the server-side logic necessary to create the site map is provided in the sample.
                        This is so you can easily update the source code to match the design of your own site.<br />
                        <br />
                        <?php echo RenderSiteMap($WebMenu1) ?>
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /SampleUsages<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomSiteMap
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
