<?php
    include '../../../Coalesys.WebMenu.php';
    include 'index.cb.php';

    $WebMenu1 = CreateWebMenu();
    $WebMenu1->setUserAgent($_SERVER["HTTP_USER_AGENT"]);
    $WebMenu1->setInsertHandlers(true);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./WebMenu.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csOuterBorder {border-color:#a0a0a0 #f0f0f0 #f0f0f0 #a0a0a0;border-style:solid;border-width:1px;}
        .csInnerBorder {border-color:#696969 #e3e3e3 #e3e3e3 #696969;border-style:solid;border-width:1px;}
        <?php echo $WebMenu1->GenerateStyleSheet() ?>
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl">
                <div class="csOuterBorder">
                    <div class="csInnerBorder">
                        <?php echo $WebMenu1->GenerateWebMenu(0) ?>
                    </div>
                </div>
            </div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Core Library Cache:</div>
                    <div class="csContent">
                        To reduce the size of the DHTML code rendered to your page, the WebMenu JavaScript code can be moved to an external *.js file.<br />
                        <br />
                        To accomplish this, you can remove the dynamically rendered JavaScript code from your page:<br />
                        <br />
                        <div class="csCode">&lt;script type=&quot;text/javascript&quot;&gt;</div>
                        <div class="csCode">&nbsp;&nbsp;&nbsp;&nbsp;&lt;%=WebMenu1-&gt;GenerateJavaScript(0)%&gt;</div>
                        <div class="csCode">&lt;/script&gt;</div>
                        <br />
                        Then, add the following code to your page to include a static version of the WebMenu JavaScript library:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./WebMenu.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        This library is included with this sample, and is cacheable by web browsers so it is only retrieved once when the initial page is loaded.<br />
                        <br />
                        If you use this approach, it is important to update this library whenever you deploy a new version or build of the WebMenu control.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $WebMenu1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /UsageTechniques<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CoreLibraryCache
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
