<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <script src="./WebMenu.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csHControl {line-height:0px;}
        .csSeparator {display:inline-block;width:20px;}
        .csOuterBorder {border-color:#a0a0a0 #f0f0f0 #f0f0f0 #a0a0a0;border-style:solid;border-width:1px;display:inline-block;}
        .csInnerBorder {border-color:#696969 #e3e3e3 #e3e3e3 #696969;border-style:solid;border-width:1px;}
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl">
                <div class="csOuterBorder">
                    <div class="csInnerBorder">
                        <script src="./MyControl1.php" type="text/javascript"></script>
                    </div>
                </div>
                <div class="csSeparator"></div>
                <div class="csOuterBorder">
                    <div class="csInnerBorder">
                        <script src="./MyControl2.php" type="text/javascript"></script>
                    </div>
                </div>
            </div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Multiple Instance Cache:</div>
                    <div class="csContent">
                        If you have multiple instances of the WebMenu control on your page, you can reduce the size of the DHTML code rendered by moving all the WebMenu related code to external *.js files.<br />
                        <br />
                        To accomplish this, you can remove all the dynamically rendered WebMenu code from your page, and place it into secondary pages that use the following:<br />
                        <br />
                        <div class="csCode">&lt;?php echo $WebMenuX-&gt;GenerateInstanceScript(0) ?&gt;</div>
                        <br />
                        This renders the WebMenu CSS Definitions and HTML Structure in a JavaScript compatible manner.
                        Several PHP Response properties are changed in these secondary pages to set the file type and caching options.<br />
                        <br />
                        Then, add the following code to your main page to include a static version of the WebMenu JavaScript library:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./WebMenu.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        This library is included with this sample, and is cacheable by web browsers so it is only retrieved once when the initial page is loaded.<br />
                        <br />
                        Finally, add the following code to your main page where you want a WebMenu control to appear:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./MyControlX.php&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        If you use this approach, it is important to update the WebMenu JavaScript library whenever you deploy a new version or build of the WebMenu control.
                    </div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /UsageTechniques<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/MultipleInstanceCache
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
