<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebMenu for PHP Sample</title>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#d4d0c8;}
        .csOuterBorder {border-color:#a0a0a0 #f0f0f0 #f0f0f0 #a0a0a0;border-style:solid;border-width:1px;}
        .csInnerBorder {border-color:#696969 #e3e3e3 #e3e3e3 #696969;border-style:solid;border-width:1px;}
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebMenu for PHP</div>
        </div>
        <div class="csHContent">
            <div class="csHControl">
                <div class="csOuterBorder">
                    <div class="csInnerBorder">
                        <script src="./MyControl.php" type="text/javascript"></script>
                    </div>
                </div>
            </div>
            <div class="csHDocument">
                <div class="csDescription">
                    <div class="csTitle">Single Instance Cache:</div>
                    <div class="csContent">
                        To further reduce the size of the DHTML code rendered to your page, all the WebMenu related code can be moved an external *.js file.<br />
                        <br />
                        To accomplish this, you can remove all the dynamically rendered WebMenu code from your page, and place it into a secondary page that uses the following:<br />
                        <br />
                        <div class="csCode">&lt;?php echo $WebMenu1-&gt;GenerateIncludeScript(0) ?&gt;</div>
                        <br />
                        This renders the WebMenu CSS Definitions, DHTML Script and HTML Structure in a JavaScript compatible manner.<br />
                        <br />
                        Several PHP Response properties are changed in this secondary page to set the file type and caching options.<br />
                        <br />
                        Then, add the following code to your main page where you want the WebMenu control to appear:<br />
                        <br />
                        <div class="csCode">&lt;script src=&quot;./MyControl.php&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt;</div>
                        <br />
                        This approach should only be used if you have a single instance of the WebMenu control on your page.
                    </div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /UsageTechniques<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/SingleInstanceCache
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
